## ros-iron-rqt-image-overlay 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(rqt_image_overlay)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rqt_gui_cpp REQUIRED)
find_package(image_transport REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(ros_image_to_qimage REQUIRED)
find_package(rqt_image_overlay_layer REQUIRED)

# Build rqt_image_overlay
set(SOURCES
  src/image_overlay.cpp
  src/composition_frame.cpp
  src/compositor.cpp
  src/overlay_manager.cpp
  src/overlay.cpp
  src/image_manager.cpp
  src/list_image_topics.cpp
  src/color_dialog_delegate.cpp
  src/overlay_manager_view.cpp)
qt5_wrap_cpp(SOURCES    # Must do this for qt's Meta-Object Compiler.
  src/image_overlay.hpp
  src/composition_frame.hpp
  src/compositor.hpp
  src/image_manager.hpp
  src/color_dialog_delegate.hpp
  src/overlay_manager_view.hpp)
qt5_wrap_ui(UIS resource/image_overlay.ui resource/configuration_dialog.ui)
add_library(rqt_image_overlay SHARED
  ${SOURCES}
  ${UIS})
target_include_directories(rqt_image_overlay PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(rqt_image_overlay
  rclcpp
  rqt_gui_cpp
  image_transport
  Qt5Widgets
  ros_image_to_qimage
  rqt_image_overlay_layer)

pluginlib_export_plugin_description_file(rqt_gui plugin.xml)  # This must be rqt_gui and not rqt_gui_cpp

# Install - libraries
install(
  TARGETS rqt_image_overlay
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install - script for running rqt_image_overlay standalone
install(PROGRAMS scripts/rqt_image_overlay
  DESTINATION lib/${PROJECT_NAME}
)

# Test
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_libraries(
  rqt_image_overlay
)
ament_export_targets(
  export_${PROJECT_NAME}
)

ament_package()

=== test/CMakeLists.txt ===
# Build test_list_image_topics
find_package(rclcpp REQUIRED)
find_package(compressed_image_transport REQUIRED)
find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)

ament_add_gtest(test_list_image_topics
  test_list_image_topics.cpp)

target_link_libraries(test_list_image_topics
  rqt_image_overlay
)

ament_target_dependencies(test_list_image_topics
  rclcpp
  compressed_image_transport
  std_msgs
  sensor_msgs)

# Build test_msg_storage
ament_add_gtest(test_msg_storage
  test_msg_storage.cpp)

target_link_libraries(test_msg_storage
  rqt_image_overlay
)

# Build test_image_manager
ament_add_gtest(test_image_manager
  test_image_manager.cpp)

target_link_libraries(test_image_manager
  rqt_image_overlay
)

=== debian/changelog ===
ros-iron-rqt-image-overlay (0.3.1-3jammy) jammy; urgency=high

  * Add rqt_gui to package.xml (#53 <https://github.com/ros-sports/rqt_image_overlay/issues/53>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Oct 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.3.0-3jammy) jammy; urgency=high

  * Change #include of cv_bridge.h to cv_bridge.hpp (#51 <https://github.com/ros-sports/rqt_image_overlay/issues/51>)
  * Correctly map ImageManager list model index to topic vector (#46 <https://github.com/ros-sports/rqt_image_overlay/issues/46>)
  * Allow depth images to be displayed too (#42 <https://github.com/ros-sports/rqt_image_overlay/issues/42>)
  * Add configuration dialog and wait window setting (#41 <https://github.com/ros-sports/rqt_image_overlay/issues/41>)
  * Contributors: Kenji Brameld, Marcel Zeilinger

 -- ijnek <kenjibrameld@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.2.1-3jammy) jammy; urgency=high

  * use sensor qos for overlays too
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Sat, 06 Aug 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.2.0-3jammy) jammy; urgency=high

  * fix up test
  * change theora transport dependency to compressed transport
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Tue, 14 Jun 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.0.5-3jammy) jammy; urgency=high

  * remove unused dependencies
  * add layer color selection feature
  * fix deprecation warning
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Fri, 11 Mar 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.0.4-3jammy) jammy; urgency=high

  * Add message collection window, and synchronize image and layers using header timestamp if available
  * use present tense for getReceivedStatus
  * implement overlay using msg_storage and use mutexes to handle multithreading
  * start implementing msg storage
  * add msg storage class
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Tue, 01 Mar 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.0.3-3jammy) jammy; urgency=high

  * Replace #!/usr/bin/env python with #!/usr/bin/env python3
  * Delete the subscription if there are no publishers on the subscribed topic when refreshed
  * Handle fake transports that end with a transport ending, but aren't actually image topics
  * Handle multiple image transports
  * Convert type used to store image topic from std::string to rqt_image_overlay::ImageTopic
  * Use sensor qos for image subscription
  * Contributors: Kenji Brameld, Scott K Logan, wep21

 -- ijnek <kenjibrameld@gmail.com>  Fri, 25 Feb 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.0.2-3jammy) jammy; urgency=high

  * adapt to new changes in cpplint about using a leading "./" in include statements
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 16:00:00 -0000

ros-iron-rqt-image-overlay (0.0.1-3jammy) jammy; urgency=high

  * Initial release
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 07 Jan 2022 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rqt-image-overlay
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-compressed-image-transport <!nocheck>, ros-iron-image-transport, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-image-to-qimage, ros-iron-rqt-gui, ros-iron-rqt-gui-cpp, ros-iron-rqt-image-overlay-layer, ros-iron-std-msgs <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rqt-image-overlay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-iron-image-transport, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-image-to-qimage, ros-iron-rqt-gui, ros-iron-rqt-gui-cpp, ros-iron-rqt-image-overlay-layer, ros-iron-ros-workspace
Description: An rqt plugin to display overlays for custom msgs on an image using plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rqt-image-overlay//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
